This documentation has moved
This content now lives on the Virtana documentation site and is no longer updated. This site will be taken offline on January 31, 2027.
Go to the current documentation and update your bookmarks.
Action service
The action service sends one-way messages (notifications) when conditions match the criteria you specify. The action service includes resources for creating and managing rules, triggers, and destinations.
- Create a trigger (POST /v1/notification/triggers)
- Get one trigger (GET /v1/notification/triggers/{name})
- Get all or multiple triggers (GET /v1/notification/triggers[?query])
- Update a trigger (PUT /v1/notification/triggers/{name})
- Delete a trigger (DELETE /v1/notification/triggers/{name})
- Create a destination (POST /v1/notification/destinations)
- Get one destination (GET /v1/notification/destinations/{name})
- Get all or multiple destinations (GET /v1/notification/destinations[?query])
- Update a destination (PUT /v1/notification/destinations/{name})
- Delete a destination (DELETE /v1/notification/destinations/{name})
- Test a destination (POST /v1/notification/destinations:test)
- Create a rule (POST /v1/notification/rules)
- Get one rule (GET /v1/notification/rules/{name})
- Get all or multiple rules (GET /v1/notification/rules[?query])
- Update a rule (PUT /v1/notification/rules/{name})
- Delete a rule (DELETE /v1/notification/rules/{name})